CREATE DATABASE asteriskrealtime
DEFAULT CHARACTER SET utf8;

GRANT SELECT, INSERT, UPDATE, DELETE ON `asteriskrealtime`.* to asteriskuser@localhost;

USE asteriskrealtime;

/* Tabla realtime leída por Asterisk */
CREATE TABLE IF NOT EXISTS `sip` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `name` varchar(170) NOT NULL,
    `context` varchar(200) DEFAULT NULL,
    `callingpres` enum('allowed_not_screened','allowed_passed_screen','allowed_failed_screen','allowed','prohib_not_screened','prohib_passed_screen','prohib_failed_screen','prohib') DEFAULT NULL,
    `deny` varchar(40) DEFAULT NULL,
    `permit` varchar(40) DEFAULT NULL,
    `acl` varchar(200) DEFAULT NULL,
    `secret` varchar(40) DEFAULT NULL,
    `md5secret` varchar(40) DEFAULT NULL,
    `remotesecret` varchar(40) DEFAULT NULL,
    `transport` varchar(40) DEFAULT NULL,
    `host` varchar(100) DEFAULT 'dynamic',
    `nat` varchar(100) DEFAULT NULL,
    `type` enum('friend','user','peer') DEFAULT 'friend',
    `accountcode` varchar(40) DEFAULT NULL,
    `amaflags` varchar(40) DEFAULT NULL,
    `callgroup` varchar(40) DEFAULT NULL,
    `pickupgroup` varchar(40) DEFAULT NULL,
    `namedcallgroup` varchar(200) DEFAULT NULL,
    `namedpickupgroup` varchar(200) DEFAULT NULL,
    `callerid` varchar(40) DEFAULT NULL,
    `directmedia` enum('yes','no','nonat','update','outgoing','update,nonat') DEFAULT NULL,
    `directmediapermit` varchar(200) DEFAULT NULL,
    `directmediaacl` varchar(200) DEFAULT NULL,
    `description` varchar(200) DEFAULT NULL,
    `defaultip` varchar(80) DEFAULT NULL,
    `dtmfmode` enum('rfc2833','info','shortinfo','inband','auto') DEFAULT NULL,
    `fromuser` varchar(80) DEFAULT NULL,
    `fromdomain` varchar(80) DEFAULT NULL,
    `insecure` varchar(40) DEFAULT NULL,
    `language` varchar(40) DEFAULT NULL,
    `tonezone` varchar(3) DEFAULT NULL,
    `mailbox` varchar(170) DEFAULT NULL,
    `qualify` char(3) DEFAULT 'yes',
    `regexten` varchar(40) DEFAULT NULL,
    `rtptimeout` int(11) DEFAULT NULL,
    `rtpholdtimeout` int(11) DEFAULT NULL,
    `setvar` varchar(40) DEFAULT NULL,
    `disallow` varchar(40) DEFAULT NULL,
    `allow` varchar(40) DEFAULT NULL,
    `fullcontact` varchar(100) DEFAULT NULL,
    `ipaddr` varchar(45) DEFAULT NULL,
    `port` int(5) DEFAULT NULL,
    `username` varchar(80) NOT NULL DEFAULT '',
    `defaultuser` varchar(100) DEFAULT NULL,
    `dial` varchar(170) DEFAULT NULL,
    `trustrpid` enum('yes','no') DEFAULT NULL,
    `sendrpid` enum('yes','no','pai','yes,pai') DEFAULT NULL,
    `progressinband` enum('yes','no','never') DEFAULT NULL,
    `promiscredir` enum('yes','no') DEFAULT NULL,
    `useclientcode` enum('yes','no') DEFAULT NULL,
    `callcounter` enum('yes','no') DEFAULT NULL,
    `busylevel` int(11) DEFAULT NULL,
    `allowoverlap` enum('yes','no') DEFAULT NULL,
    `allowsubscribe` enum('yes','no') DEFAULT NULL,
    `allowtransfer` enum('yes','no') DEFAULT 'no',
    `lastms` int(11) NOT NULL DEFAULT '0',
    `useragent` varchar(100),
    `regseconds` int(11) NOT NULL DEFAULT '0',
    `regserver` varchar(100) NOT NULL DEFAULT '',
    `videosupport` enum('yes','no') DEFAULT NULL,
    `maxcallbitrate` int(11) DEFAULT NULL,
    `rfc2833compensate` enum('yes','no') DEFAULT NULL,
    `session-timers` enum('accept','refuse','originate') DEFAULT NULL,
    `session-expires` int(11) DEFAULT NULL,
    `session-minse` int(11) DEFAULT NULL,
    `session-refresher` enum('uac','uas') DEFAULT NULL,
    `outboundproxy` varchar(40) DEFAULT NULL,
    `callbackextension` varchar(40) DEFAULT NULL,
    `timert1` int(11) DEFAULT NULL,
    `timerb` int(11) DEFAULT NULL,
    `qualifyfreq` int(5) unsigned DEFAULT '120',
    `constantssrc` enum('yes','no') DEFAULT NULL,
    `contactpermit` varchar(40) DEFAULT NULL,
    `contactdeny` varchar(40) DEFAULT NULL,
    `contactacl` varchar(200) DEFAULT NULL,
    `usereqphone` enum('yes','no') DEFAULT NULL,
    `textsupport` enum('yes','no') DEFAULT NULL,
    `faxdetect` enum('yes','no') DEFAULT NULL,
    `buggymwi` enum('yes','no') DEFAULT NULL,
    `auth` varchar(40) DEFAULT NULL,
    `fullname` varchar(80) DEFAULT NULL,
    `trunkname` varchar(80) DEFAULT NULL,
    `cid_number` varchar(40) DEFAULT NULL,
    `mohinterpret` varchar(100) DEFAULT NULL,
    `mohsuggest` varchar(100) DEFAULT NULL,
    `parkinglot` varchar(40) DEFAULT NULL,
    `hasvoicemail` enum('yes','no') DEFAULT NULL,
    `subscribemwi` enum('yes','no') DEFAULT NULL,
    `vmexten` varchar(40) DEFAULT NULL,
    `rtpkeepalive` int(11) DEFAULT NULL,
    `g726nonstandard` enum('yes','no') DEFAULT NULL,
    `ignoresdpversion` enum('yes','no') DEFAULT NULL,
    `subscribecontext` varchar(200) DEFAULT NULL,
    `template` varchar(200) DEFAULT NULL,
    `keepalive` varchar(200) DEFAULT NULL,
    `t38pt_usertpsource` enum('yes','no') DEFAULT NULL,
    `outofcall_message_context` varchar(200) DEFAULT NULL,
    `encryption` ENUM ('yes','no') DEFAULT NULL,
    `avpf` ENUM ('yes','no') DEFAULT NULL,
    `force_avp` ENUM ('yes','no') DEFAULT NULL,
    `icesupport` ENUM ('yes','no') DEFAULT NULL,
    `dtlsenable` ENUM ('yes','no') DEFAULT NULL,
    `dtlsverify` ENUM ('yes','no') DEFAULT NULL,
    `dtlscertfile` VARCHAR(255) DEFAULT NULL,
    `dtlsprivatekey` VARCHAR(255) DEFAULT NULL,
    `dtlssetup` VARCHAR(16) DEFAULT NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `name` (`name`),
    KEY `ipaddr` (`ipaddr`,`port`),
    KEY `host` (`host`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
